{
	"artifacts" : 
	[
		{
			"path" : "BIPY_App"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"target_link_libraries",
			"set_property",
			"find_package",
			"set_target_properties",
			"add_definitions",
			"target_include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt",
			"/usr/share/cmake-3.28/Modules/FindOpenGL.cmake",
			"/usr/share/cmake-3.28/Modules/FindOpenMP.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 34,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 47,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 15,
				"parent" : 0
			},
			{
				"file" : 1,
				"parent" : 3
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 673,
				"parent" : 4
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 671,
				"parent" : 4
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 16,
				"parent" : 0
			},
			{
				"file" : 2,
				"parent" : 7
			},
			{
				"command" : 2,
				"file" : 2,
				"line" : 619,
				"parent" : 8
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 11,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 10,
				"parent" : 0
			},
			{
				"command" : 6,
				"file" : 0,
				"line" : 37,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -std=gnu++20"
				},
				{
					"backtrace" : 2,
					"fragment" : "-fopenmp"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 10,
					"define" : "IMGUI_DISABLE_WAYLAND"
				},
				{
					"backtrace" : 11,
					"define" : "IMGUI_DISABLE_X11"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 12,
					"path" : "/home/koder/Repos/BiPy"
				},
				{
					"backtrace" : 12,
					"path" : "/home/koder/Repos/BiPy/Xenith"
				},
				{
					"backtrace" : 12,
					"path" : "/home/koder/Repos/BiPy/Xenith/token"
				},
				{
					"backtrace" : 12,
					"path" : "/home/koder/Repos/BiPy/imgui"
				},
				{
					"backtrace" : 12,
					"path" : "/home/koder/Repos/BiPy/imgui/backends"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "20"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9
			]
		}
	],
	"id" : "BIPY_App::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libglfw.so.3.3",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libvulkan.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lX11",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-ldl",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libGLX.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libOpenGL.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 9,
				"fragment" : "/usr/lib/gcc/x86_64-linux-gnu/13/libgomp.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 9,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libpthread.a",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "BIPY_App",
	"nameOnDisk" : "BIPY_App",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "Xenith/core.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "Xenith/token/token.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/imgui.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/imgui_draw.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/imgui_widgets.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/imgui_tables.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/imgui_demo.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/backends/imgui_impl_glfw.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "imgui/backends/imgui_impl_opengl3.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
